/*
 * 武汉理工数字传播工程有限公司源代码，版权归武汉理工数字传播工程有限公司所有.
 * 项目名称 : pcloud-common-core
 * 创建日期 : 2017年1月4日
 * 修改历史 : 
 *     1. [2017年1月4日]创建文件 by xnxqs
 */

package com.pcloud.common.core.constant;

/**
 * 微信支付后的回调函数 中 应执行的步骤 该类的名称应为RafficNode中的枚举类的名称（去除下划线）。
 * 
 * @author xnxqs
 */
public enum WechatPaymentCallbackStep implements OperationNode {
	// 微信支付后的回调函数动作
	USERCENTER_OP("msgToUsercenter"),
	SETTLEMENT_OP("settlement"), 
	ANALYSISEENGINE_OP("analysisengine"),
	RESOURCECENTER_OP("resourcecenter"),
	MSG_TO_WECHATUSER("msgToWechatUser"),
	MSG_TO_MERCHANT("msgToMerchant"),
	MSG_TO_NOTIFY("msgToNotify"),
	CANCEL_COMMIT_TASK("cancelCommitTask"),
	SET_REMIND_TASK("setRemindTask"),
	END("end");
	public String value;

	WechatPaymentCallbackStep(String value) {
		this.setValue(value);
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	public String toString() {

		return this.name();

	}
}
